python2.1 install problem on redhat 7.1 
Author Message
 python2.1 install problem on redhat 7.1

Hello,
I'm trying to install python2.1 on redhat 7.1 i686.  I'm using the RPM and I get a dependency error:

error: failed dependencies:
        libcrypto.so.0.9.6   is needed by python2-2.1-5
        libssl.so.0.9.6   is needed by python2-2.1-5

so I installed the following

rpm -iv ftp://speakeasy.rpmfind.net/linux/PLD/current/PLD-1.0/i686/PLD/RPMS/o...
which gives me
/usr/lib/libcrypto.so.0.9.6.1
/usr/lib/libssl.so.0.9.6.1

but I still have that dependency error.  

So the question is, what's the right way to resolve this situation?

thanks,
dave white



Sun, 28 Dec 2003 07:02:31 GMT  
 python2.1 install problem on redhat 7.1

Quote:

> Hello,
> I'm trying to install python2.1 on redhat 7.1 i686.  I'm using the RPM and I get a dependency error:

> error: failed dependencies:
>         libcrypto.so.0.9.6   is needed by python2-2.1-5
>         libssl.so.0.9.6   is needed by python2-2.1-5

> so I installed the following

> rpm -iv ftp://speakeasy.rpmfind.net/linux/PLD/current/PLD-1.0/i686/PLD/RPMS/o...
> which gives me
> /usr/lib/libcrypto.so.0.9.6.1
> /usr/lib/libssl.so.0.9.6.1

> but I still have that dependency error.

> So the question is, what's the right way to resolve this situation?

> thanks,
> dave white

try installing with "--nodeps" option.  and remember, to get into python 2 (.xx) you have to type in
"python2 ", instead of  just "python" as that will invoke the old python interpreter in you have one
installed

Mix



Sun, 28 Dec 2003 20:05:03 GMT  
 
 [ 2 post ] 

 Relevant Pages 

1. Problem Building Python2.1 on RedHat 7.1

2. Problem installing Python2.1 on RH 7.1

3. Freezing problem with shared libraries in python2.0 under RedHatLinux 7.1

4. RH 7.1/Fail upgrading to Python2: Why?

5. no RHL 7.1 RPMs for python2.1

6. NASM broken in RedHat 7.1?

7. Large files in Fortran with Redhat 7.1

8. Compiling using the Fortran NAG library under Linux RedHat 7.1

9. Lahey F95 in RedHat 7.1 Linux

10. redhat 7.1 linux upgrade of Python 1.52 to 2.0

11. LF95 and PGF77 in RedHat 7.1

12. Readline on RedHat 7.1 with Python 2.1

 

 
Powered by phpBB® Forum Software